Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.jboss51
Interface RunAsType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  RunAsTypeImpl

    public interface RunAsType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `run-asType` xsd type

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.lang.String` | `getRoleName()` Returns the `role-name` element
`RunAsType<T>` | `removeAllDescription()` Removes the `description` element
`RunAsType<T>` | `removeRoleName()` Removes the `role-name` element
`RunAsType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`RunAsType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`RunAsType<T>` | `setRoleName(java.lang.String roleName)` If not already created, a new `role-name` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setDescription

    RunAsType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `RunAsType`

### setDescriptionList

    RunAsType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `RunAsType`

### removeAllDescription

    RunAsType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `RunAsType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### setRoleName

    RunAsType<T> setRoleName(java.lang.String roleName)

  If not already created, a new `role-name` element with the given value will be created. Otherwise, the existing `role-name` element will be updated with the given value.

  Returns:
    the current instance of `RunAsType`

### removeRoleName

    RunAsType<T> removeRoleName()

  Removes the `role-name` element

  Returns:
    the current instance of `RunAsType`

### getRoleName

    java.lang.String getRoleName()

  Returns the `role-name` element

  Returns:
    the node defined for the element `role-name`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD